#ifndef _DMR_ANALYSIS_HPP_
#define _DMR_ANALYSIS_HPP_

#include "include.hpp"
#include "basic_type.hpp"
#include "probe_analysis.hpp"
#include "time_out.hpp"
#include "parameter.hpp"
#include "bed_file.hpp"
#include "cgi_analysis.hpp"

typedef struct DMR_result
{
  vector<Bed> dmr;
  map<size_t, vector<string> > dmr_probe;
}DMR_result;

void dmr_analysis(Data_description &data_des, Probe_result &probe_res, vector<Point> &ann, map<string, size_t> &map_probe, DMR_result &dmr_res);

void dmr_analysis_2(Data_description &data_des, Data_matrix *data, Parameter &param, vector<Point> &ann, map<string, size_t> &map_probe, DMR_result &dmr_res);

#endif
