#ifndef _PROBE_ANALYSIS_HPP_
#define _PROBE_ANALYSIS_HPP_

#include "include.hpp"
#include "basic_type.hpp"
#include "parameter.hpp"
#include "ancova.hpp"
#include "time_out.hpp"

void probe_analysis_thread(Data_matrix *data,
                           size_t remainder,
                           size_t nproc,
                           Data_description *data_description,
                           Probe_result *probe_result);

void fdr_range(Probe_result &probe_result, Data_description &data_description);

bool probe_analysis(Data_matrix *data,
                    size_t nproc,
                    Data_description &data_description,
                    Probe_result &probe_result);

#endif
