#ifndef _NORMALIZE_HPP_
#define _NORMALIZE_HPP_

#include "include.hpp"
#include "basic_type.hpp"
#include "time_out.hpp"

bool normalize_function(Data_matrix *data,
                        size_t col,
                        gsl_vector *ref_quantile,
                        gsl_vector *ref_value,
                        gsl_vector *value);

bool normalize_function_thread(Data_matrix *data,
                               size_t remainder,
                               size_t nproc,
                               gsl_vector *ref_quantile,
                               gsl_vector *ref_value,
                               gsl_matrix *value);

bool find_quantile_thread(Data_matrix *data,
                          size_t remainder,
                          size_t nproc,
                          gsl_vector *ref_quantile,
                          gsl_matrix *value);

bool average_quantile(gsl_matrix *value,
                      gsl_vector *ref_value);

bool normalize(Data_matrix *data,
               size_t nproc);

#endif
