#ifndef _PARAMETER_HPP_
#define _PARAMETER_HPP_

#include "include.hpp"

typedef struct Parameter
{
  double pvalue_threshold;
  double fdr_threshold;
  size_t nproc;
  size_t covariable_number;
  bool normalize;
  bool cgi;
  bool dmr;
  bool unify;
  bool continuous;
  bool snp;
  string probe_test_file;
  string cgi_test_file;
  string dmr_test_file;
  string configure_file;
  string cgi_bedgraph_prefix;
  string dmr_bedgraph_prefix;
  string probe_bedgraph_prefix;
  string probe_prefix;
  string probe_ann_file;
  string cgi_file;
  Parameter();
}Parameter;

void help();

Parameter parameter_manipulate(int argc, char *argv[]);

#endif
