#ifndef _WRITE_FILE_HPP_
#define _WRITE_FILE_HPP_

#include "basic_type.hpp"
#include "read_file.hpp"
#include "time_out.hpp"
#include "probe_analysis.hpp"
#include "parameter.hpp"
#include "bed_file.hpp"
#include "cgi_analysis.hpp"
#include "dmr_analysis.hpp"

bool write_probe_result(Data_description &data_des,
                        Probe_result &probe_result,
                        vector<Point> &ann,
                        map<string, size_t> &map_probe,
                        Parameter &parameter);

bool write_cgi_result(Parameter &parameter,
                      Data_description &data_des,
                      Probe_result &probe_res,
                      vector<Point> &ann,
                      map<string, size_t> &map_probe,
                      CGI_result &cgi_res,
                      CGI_description &cgi_des);

bool write_dmr_result(Parameter &parameter,
                      Data_description &data_des,
                      Probe_result &probe_res,
                      vector<Point> &ann,
                      map<string, size_t> &map_probe,
                      DMR_result &dmr_res);

#endif
